Summary:	Open Source Sony PlayStation emulator
Name:		pcsx
Version:	1.5
Release:	%mkrel 1
URL:		http://www.pcsx.net/
License:	GPLv2+
Group:		Emulators
Source0:	PcsxSrc-1.5.tar.bz2
Source1:	pcsx.sh
Source2:	pcsx.png
Patch:		PcsxSrc.dif
Patch2:		PcsxSrc-gcc4.patch
BuildRequires:	ImageMagick gtk2-devel libtiff-devel nasm
BuildRequires:	psx-plugins recode desktop-file-utils
Requires:	psx-plugins
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv:    on

%description
This application emulates all components of a Sony PlayStation on
regular PC hardware. It features a sophisticated plugin system allowing
for easy extension and is highly configurable.
To be able to play commercial games on this emulator you need an image
of a Sony PlayStation BIOS ROM. The BIOS is copyrighted by Sony
Computer Entertainment and can therefore not be included in this
package. Information on how to create such an image can be found at the
following web page:
http://www.psxemu.com/faq/faq-bios.shtml
BIOS images have to be placed in /usr/share/pcsx/Bios

%prep
%setup -n PcsxSrc-%version
for i in *.[ch] */*.[ch] Linux/Makefile
do
	recode -f ibmpc..lat1 $i
done
%patch
%patch2 -p1

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
cd Linux
./configure
%ifarch %ix86
make CPU=ix86 STRIP=true
%else
make %{?jobs:-j%jobs} -k STRIP=true
%endif
cd ..
convert pcsxAbout.bmp pcsxAbout.xpm

%install
%define PCSXDIR /usr/lib/%{name}
install -m 755 -d $RPM_BUILD_ROOT%{PCSXDIR}/Bios
ln -sf ../psx-plugins/Plugin $RPM_BUILD_ROOT%{PCSXDIR}/Plugin
ln -sf ../psx-plugins/cfg $RPM_BUILD_ROOT%{PCSXDIR}/cfg
install -m 755 -d $RPM_BUILD_ROOT%{PCSXDIR}/memcards
install -m 755 -d $RPM_BUILD_ROOT%{PCSXDIR}/sstates
install -m 755 -d $RPM_BUILD_ROOT%{PCSXDIR}/snap
install -m 755 -d $RPM_BUILD_ROOT%{PCSXDIR}/.pixmaps
install -m 644 pcsxAbout.xpm $RPM_BUILD_ROOT%{PCSXDIR}/.pixmaps
install -m 755 Linux/pcsx $RPM_BUILD_ROOT%{PCSXDIR}
chmod 644 Docs/*
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
sed "s,PCSXDIR,%{PCSXDIR},g" <%{SOURCE1} >$RPM_BUILD_ROOT%{_bindir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT/{%_liconsdir,%_iconsdir,%_miconsdir}
convert %{SOURCE2} -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE2} %{buildroot}%{_liconsdir}/%{name}.png
convert %{SOURCE2} -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=PCSX
Comment=Open Source Sony PlayStation emulator
Exec=%{name}
Icon=%{name}.png
Type=Application
Categories=Emulator;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr (-,root,root)
%doc Docs/*
%{PCSXDIR}
%{_bindir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/pclinuxos-%{name}.desktop


%changelog
* Wed Apr 23 2008 P. K. Frederic <pkfric@yahoo.com> 1.5-1pclos2007
- first RPM for PCLinuxOS
- original spec file by uli@suse.de
